#include <amscppimglib4/amscppimglib4.hpp>

namespace ams
{

amspixel::amspixel()
{
    R = 0; G = 0; B = 0; A = 0;
    return;
}

amspixel::amspixel(uint8_t _R ,uint8_t _G, uint8_t _B, uint8_t _A)
{
    R = _R; G = _G; B = _B; A = _A;
    return;
}

uint8_t& amspixel::operator[](const int ind)
{
    if(ind==0) return R;
    if(ind==1) return G;
    if(ind==2) return B;
    if(ind==3) return A;
    return A;
}

const uint8_t& amspixel::operator[](const int ind) const
{
    if(ind==0) return R;
    if(ind==1) return G;
    if(ind==2) return B;
    if(ind==3) return A;
    return A;
}


};